#
# spec file for package pantheon-sideload
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.sideload
Name:           pantheon-sideload
Version:        6.3.0
Release:        1.4
Summary:        Sideload flatpaks on the Pantheon Desktop
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/sideload
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(flatpak)
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libxml-2.0)
Supplements:    (pantheon-appcenter and pantheon-session)
Requires:       flatpak
Provides:       elementary-sideload = %{version}
Obsoletes:      elementary-sideload < %{version}

%description
Sideload is a simple application that lets users install flatpaks.

%lang_package

%prep
%autosetup -n sideload-%{version}

%build
export CFLAGS="%{optflags} -Wno-error=return-type"
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{appid}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%{_datadir}/metainfo/%{appid}.metainfo.xml
%dir %{_datadir}/icons/hicolor/{128x128@2,128x128@2/apps,16x16@2,16x16@2/apps,24x24@2,24x24@2/apps,32x32@2,32x32@2/apps,48x48@2,48x48@2/apps,64x64@2,64x64@2/apps}

%files lang -f %{appid}.lang

%changelog
* Mon Nov 25 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 6.3.0:
  * Handle flatpak+https scheme
  * MainWindow: fix invalid bundle cast
* Mon Nov  4 2024 Richard Rahl <rrahl0@opensuse.org>
- rename to pantheon-sideload
- fix CFLAGS
* Tue Aug 27 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 6.2.2:
  * Updated translations
- update to 6.2.1:
  * Make Open button default widget
  * Fix glitches
- update to 6.2.0:
  * MainView: update copy
- update to 6.1.0:
  * Use flatpak branding
  * Bade notifications with the sideloaded apps icon
  * Updated translations
- switch url to github, as we don't want to link to a different OS
* Fri Sep 24 2021 Alexei Podvalsky <avvissu@yandex.by>
- Update to 6.0.2:
  * Fix blurry app icon in multitasking view
  * Updated translations
* Wed Sep 22 2021 Alexei Podvalsky <avvissu@yandex.by>
- Add Supplements dependencies
* Fri Sep 10 2021 Alexei Podvalsky <avvissu@yandex.by>
- Initial package
